* automatetheboringstuffwithpython.pdf 

For beginers, knowleage points with examples and mini projects. Good reading experience.

* CleanCodeHandbook_v1.0.1.pdf

Solution and details about 50 quizzes on Leetcode.com. 

Use it to help your algo & coding skills.

